Can't login into Plasma Wayland after update; type errors in theme `Sweet`

Hello, this evening I ran the update command on my machine and rebooted afterwards. After rebooting I was unable to login into the Plasma Wayland session (typed in password, got a black screen, thrown back to login screen). However, the X11 session worked. The output of journalctl can be seen in [1]. From the output I guessed that it may a problem with the sweet theme, (which also got upgraded) and reinstalled it [2]. Pacman mentioned that the cached package didn't match the signature and redownloaded it. I then again restarted and again tried to login into wayland, getting a different error message [3]. Then I tried to reinstall various packages like xcb, which all didn't have any effect. Onl when I reinstalled KDE [4], the error message changed back to the one I had in the beginning [5], which now doesn't change anymore, even when I reinstall the Sweet theme. I already tried to remove the Sweet theme alltogether, which didn't work because of the dragonized dependency on it. I hope someone can help me getting Wayland to work again.

journalctl outputs:

  1. initial error: PrivateBin
  2. reinstalling Sweet theme pacman -S kvantum-theme-sweet-git plasma5-theme-sweet-git sweet-cursor-theme-git sweet-gtk-theme-dark sweet-kde-git
  3. XCB errors afterwards (8 MB): PrivateBin
  4. Reinstalling Plasma: pacman -S xorg plasma plasma-wayland-session
  5. Final errors: PrivateBin

Additionals

[0] upgraded packages

[2022-04-09T19:32:42+0200] [ALPM] upgraded garuda-update (2.2.1-1 -> 2.3.3-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded libx11 (1.7.4-1 -> 1.7.5-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded expat (2.4.7-1 -> 2.4.8-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded libffi (3.4.2-4 -> 3.4.2-5)
[2022-04-09T19:35:37+0200] [ALPM] upgraded cairo (1.17.6-1 -> 1.17.6-2)
[2022-04-09T19:35:37+0200] [ALPM] upgraded xz (5.2.5-2 -> 5.2.5-3)
[2022-04-09T19:35:37+0200] [ALPM] upgraded adwaita-icon-theme (41.0-1 -> 42.0-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded krb5 (1.19.2-2 -> 1.19.3-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded libgpg-error (1.44-1 -> 1.45-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded mesa (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:37+0200] [ALPM] upgraded libxcursor (1.2.0-2 -> 1.2.1-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded hwdata (0.357-1 -> 0.358-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded kmod (29-2 -> 29-3)
[2022-04-09T19:35:37+0200] [ALPM] upgraded gsettings-desktop-schemas (41.0-1 -> 42.0-1)
[2022-04-09T19:35:37+0200] [ALPM] upgraded nspr (4.33-1 -> 4.33-2)
[2022-04-09T19:35:38+0200] [ALPM] upgraded brave-bin (1:1.37.109-1 -> 1:1.37.111-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded btrfs-assistant (1.1-1 -> 1.3-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded containers-common (1:0.47.4-3 -> 1:0.47.4-4)
[2022-04-09T19:35:38+0200] [ALPM] upgraded wireless-regdb (2022.02.18-1 -> 2022.02.18-3)
[2022-04-09T19:35:38+0200] [ALPM] upgraded libva (2.13.0-2 -> 2.14.0-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded libibus (1.5.25-5 -> 1.5.26-2)
[2022-04-09T19:35:38+0200] [ALPM] upgraded libsndfile (1.0.31-1 -> 1.1.0-2)
[2022-04-09T19:35:38+0200] [ALPM] upgraded ffmpeg (2:5.0-5 -> 2:5.0-6)
[2022-04-09T19:35:38+0200] [ALPM] upgraded faudio (22.03-1 -> 22.04-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded lib32-libgpg-error (1.44-1 -> 1.45-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded lib32-libx11 (1.7.3.1-1 -> 1.7.4-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded lib32-libffi (3.4.2-3 -> 3.4.2-4)
[2022-04-09T19:35:38+0200] [ALPM] upgraded lib32-expat (2.4.7-1 -> 2.4.8-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded lib32-mesa (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:38+0200] [ALPM] upgraded lib32-faudio (22.03-1 -> 22.04-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded dxvk-mingw-git (1.10.1.r8.g95a34139-1 -> 1.10.1.r13.g3672375b-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded edk2-ovmf (202111-5 -> 202202-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded flashrom (1.2-2 -> 1.2-3)
[2022-04-09T19:35:38+0200] [ALPM] upgraded libxmlb (0.3.7-1 -> 0.3.8-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded libsecret (0.20.5-1 -> 0.20.5-2)
[2022-04-09T19:35:38+0200] [ALPM] upgraded fwupd (1.7.6-1 -> 1.7.7-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded fzf (0.29.0-1 -> 0.30.0-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded garuda-libs (1.1.0-3 -> 1.1.1-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded whois (5.5.12-1 -> 5.5.13-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded perl (5.34.0-3 -> 5.34.1-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded garuda-assistant (2.6.0-1 -> 2.6.0-2)
[2022-04-09T19:35:38+0200] [ALPM] upgraded garuda-hooks (2.5.4-1 -> 2.6.1-1)
[2022-04-09T19:35:38+0200] [ALPM] upgraded garuda-common-settings (2.5.6-2 -> 2.6.1-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded garuda-fish-config (1.4.4-1 -> 1.4.5-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded garuda-welcome (1.0.15-1 -> 1.1.0-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded ghostscript (9.56.0-1 -> 9.56.1-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded glibmm-2.68 (2.70.0-1 -> 2.72.0-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded gnome-desktop (1:41.5-1 -> 1:42.0-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded mdadm (4.2-1 -> 4.2-2)
[2022-04-09T19:35:39+0200] [ALPM] upgraded xfsprogs (5.14.2-1 -> 5.15.0-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded libaio (0.3.112-2 -> 0.3.112-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded gnome-disk-utility (41.0-1 -> 42.0-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded grpc (1.45.0-1 -> 1.45.1-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded gzip (1.11-1 -> 1.12-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded ibus (1.5.25-5 -> 1.5.26-2)
[2022-04-09T19:35:39+0200] [ALPM] upgraded intel-opencl-clang (13.0.0.r4+gd676ea2-1 -> 13.0.0.r5+g1490bd4-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded intel-graphics-compiler (1:1.0.10778-1 -> 1:1.0.10840-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded intel-compute-runtime (22.13.22789-1 -> 22.14.22890-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded intel-media-driver (22.2.2-1 -> 22.3.1-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded inxi (3.3.14.1-1 -> 3.3.15.1-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded jetbrains-toolbox (1.23.11680-1 -> 1.23.11731-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded jfsutils (1.1.15-7 -> 1.1.15-8)
[2022-04-09T19:35:39+0200] [ALPM] upgraded keepassxc (2.7.0-2 -> 2.7.1-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded vulkan-headers (1:1.3.208-1 -> 1:1.3.211-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded kvantum-theme-sweet-git (r249.6b49e53-1 -> r250.b62e69d-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-cairo (1.17.6-1 -> 1.17.6-2)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-libsndfile (1.0.31-1 -> 1.1.0-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-libva-mesa-driver (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-mesa-vdpau (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-nspr (4.33-1 -> 4.33-2)
[2022-04-09T19:35:39+0200] [ALPM] upgraded opencl-mesa (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-opencl-mesa (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-vulkan-intel (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded vulkan-mesa-layers (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-vulkan-mesa-layers (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded lib32-vulkan-radeon (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:39+0200] [ALPM] upgraded libnma-common (1.8.36-3 -> 1.8.38-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded libnma (1.8.36-3 -> 1.8.38-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded libnumbertext (1.0.9-1 -> 1.0.10-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded libqalculate (4.1.0-1 -> 4.1.1-1)
[2022-04-09T19:35:39+0200] [ALPM] upgraded libva-mesa-driver (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:40+0200] [ALPM] upgraded libvirt (1:8.2.0-1 -> 1:8.2.0-4)
[2022-04-09T19:35:40+0200] [ALPM] upgraded libxnvctrl (510.54-2 -> 510.60.02-1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded lsp-plugins (1.1.31-1 -> 1.2.0-1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded luajit (2.1.0.beta3.r395.ge2c312e0-1 -> 2.1.0.beta3.r397.g20aea939-
1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded marktext-bin (0.16.3-2 -> 0.17.1-1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded mercurial (6.1-2 -> 6.1.1-1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded mesa-vdpau (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:40+0200] [ALPM] upgraded networkmanager-fortisslvpn (1.4.0-1 -> 1.4.0-2)
[2022-04-09T19:35:40+0200] [ALPM] upgraded networkmanager-openconnect (1.2.8-1 -> 1.2.8-2)
[2022-04-09T19:35:40+0200] [ALPM] upgraded networkmanager-openvpn (1.8.18-1 -> 1.8.18-2)
[2022-04-09T19:35:40+0200] [ALPM] upgraded networkmanager-pptp (1.2.10-1 -> 1.2.10-2)
[2022-04-09T19:35:40+0200] [ALPM] upgraded networkmanager-vpnc (1.2.8-1 -> 1.2.8-2)
[2022-04-09T19:35:40+0200] [ALPM] upgraded wpa_supplicant (2:2.10-3 -> 2:2.10-4)
[2022-04-09T19:35:40+0200] [ALPM] upgraded networkmanager-support (1-2 -> 1-3)
[2022-04-09T19:35:40+0200] [ALPM] upgraded octopi-dev (0.12.0-7 -> 0.13.0-1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded perl-html-parser (3.77-1 -> 3.78-1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded plymouth-git (22.02.122.r36.gd021553-1 -> 22.02.122.r41.gb603ac1-1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded podman (4.0.1-2 -> 4.0.3-1)
[2022-04-09T19:35:40+0200] [ALPM] upgraded podman-docker (4.0.1-2 -> 4.0.3-1)
[2022-04-09T19:35:42+0200] [ALPM] upgraded proton-ge-custom-bin (1:GE_Proton7_10-1 -> 1:GE_Proton7_14-1)
[2022-04-09T19:35:42+0200] [ALPM] upgraded python-evdev (1.4.0-3 -> 1.5.0-1)
[2022-04-09T19:35:42+0200] [ALPM] upgraded python-zipp (3.7.0-1 -> 3.8.0-1)
[2022-04-09T19:35:42+0200] [ALPM] upgraded python2-gobject (3.36.1-4 -> 3.36.1-5)
[2022-04-09T19:35:42+0200] [ALPM] upgraded qt5-script (5.15.8-4 -> 5.15.9-1)
[2022-04-09T19:35:42+0200] [ALPM] upgraded qt5-wayland (5.15.3+kde+r40-1 -> 5.15.3+kde+r41-1)
[2022-04-09T19:35:43+0200] [ALPM] upgraded qt5-webengine (5.15.8-10 -> 5.15.9-1)
[2022-04-09T19:35:43+0200] [ALPM] upgraded signal-desktop (5.37.0-1 -> 5.38.0-1)
[2022-04-09T19:35:43+0200] [ALPM] upgraded snapper (0.9.1-2 -> 0.10.0-1)
[2022-04-09T19:35:43+0200] [ALPM] upgraded sweet-cursor-theme-git (r249.6b49e53-1 -> r250.b62e69d-1)
[2022-04-09T19:35:43+0200] [ALPM] upgraded sweet-kde-git (r249.6b49e53-1 -> r250.b62e69d-1)
[2022-04-09T19:35:43+0200] [ALPM] upgraded telegram-desktop (3.6.1-1 -> 3.6.1-2)
[2022-04-09T19:35:44+0200] [ALPM] upgraded ungoogled-chromium (100.0.4896.60-1 -> 100.0.4896.75-1)
[2022-04-09T19:35:44+0200] [ALPM] upgraded vde2 (2.3.2-20 -> 2.3.2-21)
[2022-04-09T19:35:44+0200] [ALPM] upgraded vivaldi (5.1.2567.73-1 -> 5.2.2623.26-1)
[2022-04-09T19:35:44+0200] [ALPM] upgraded vivaldi-ffmpeg-codecs (98.0.4710.4-3 -> 101.0.4951.15-1)
[2022-04-09T19:35:44+0200] [ALPM] upgraded vulkan-intel (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:44+0200] [ALPM] upgraded vulkan-radeon (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:44+0200] [ALPM] upgraded vulkan-swrast (22.0.0-1 -> 22.0.1-3)
[2022-04-09T19:35:45+0200] [ALPM] upgraded wine-mono (7.1.1-1 -> 7.2.0-1)
[2022-04-09T19:35:45+0200] [ALPM] upgraded xorg-setxkbmap (1.3.2-2 -> 1.3.3-1)

That would be a terrible thing to have in a forum post... :cold_face:

1 Like

thank you, I edited the post and uploaded the outputs

1 Like

Can you also post garuda-inxi when you have a chance?

1 Like

yes, added it to the main post

For this short inxi no PrivateBin needed you can post here up to 32000 chars (IIRC)

System:
  Kernel: 5.17.1-zen1-1-zen arch: x86_64 bits: 64 compiler: gcc v: 11.2.0
    parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
    root=UUID=bbbe7bff-1333-43c0-8348-3ada54cf99d6 rw [email protected]
    quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
    systemd.unified_cgroup_hierarchy=1
    resume=UUID=626584d5-e05a-4b6d-93a7-f83804e40bc3 loglevel=3
  Desktop: KDE Plasma v: 5.24.4 tk: Qt v: 5.15.3 info: latte-dock
    wm: kwin_x11 vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
  Type: Desktop System: ASUS product: N/A v: N/A serial: <superuser required>
  Mobo: ASUSTeK model: ROG STRIX B550-E GAMING v: Rev X.0x
    serial: <superuser required> UEFI: American Megatrends v: 2423
    date: 08/09/2021
CPU:
  Info: model: AMD Ryzen 7 3700X bits: 64 type: MT MCP arch: Zen 2
    family: 0x17 (23) model-id: 0x71 (113) stepping: 0 microcode: 0x8701021
  Topology: cpus: 1x cores: 8 tpc: 2 threads: 16 smt: enabled cache:
    L1: 512 KiB desc: d-8x32 KiB; i-8x32 KiB L2: 4 MiB desc: 8x512 KiB
    L3: 32 MiB desc: 2x16 MiB
  Speed (MHz): avg: 4022 high: 4386 min/max: 2200/4426 boost: enabled
    scaling: driver: acpi-cpufreq governor: performance cores: 1: 3700 2: 4386
    3: 4330 4: 4327 5: 3628 6: 3632 7: 3836 8: 4192 9: 4207 10: 4349 11: 4068
    12: 4354 13: 3497 14: 4303 15: 3874 16: 3681 bogomips: 115203
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
  Vulnerabilities:
  Type: itlb_multihit status: Not affected
  Type: l1tf status: Not affected
  Type: mds status: Not affected
  Type: meltdown status: Not affected
  Type: spec_store_bypass
    mitigation: Speculative Store Bypass disabled via prctl
  Type: spectre_v1
    mitigation: usercopy/swapgs barriers and __user pointer sanitization
  Type: spectre_v2
    mitigation: Retpolines, IBPB: conditional, STIBP: conditional, RSB filling
  Type: srbds status: Not affected
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: AMD Navi 23 [Radeon RX 6600/6600 XT/6600M] vendor: Micro-Star MSI
    driver: amdgpu v: kernel pcie: gen: 4 speed: 16 GT/s lanes: 16 ports:
    active: DP-2,DP-3 empty: DP-1,HDMI-A-1 bus-ID: 09:00.0 chip-ID: 1002:73ff
    class-ID: 0300
  Display: x11 server: X.Org v: 1.21.1.3 with: Xwayland v: 22.1.1
    compositor: kwin_x11 driver: X: loaded: amdgpu
    unloaded: modesetting,radeon,vesa alternate: fbdev gpu: amdgpu
    display-ID: :0 screens: 1
  Screen-1: 0 s-res: 5120x1440 s-dpi: 96 s-size: 1354x381mm (53.31x15.00")
    s-diag: 1407mm (55.38")
  Monitor-1: DP-2 mapped: DisplayPort-1 pos: primary,right
    model: Acer VG270U P serial: <filter> built: 2020 res: 2560x1440 hz: 144
    dpi: 109 gamma: 1.2 size: 597x336mm (23.5x13.23") diag: 685mm (27")
    ratio: 16:9 modes: max: 2560x1440 min: 720x400
  Monitor-2: DP-3 mapped: DisplayPort-2 pos: primary,left model: Asus PB278
    serial: <filter> built: 2017 res: 2560x1440 hz: 60 dpi: 109 gamma: 1.2
    size: 597x336mm (23.5x13.23") diag: 685mm (27") ratio: 16:9 modes:
    max: 2560x1440 min: 720x400
  OpenGL: renderer: AMD Radeon RX 6600 XT (dimgrey_cavefish LLVM 13.0.1 DRM
    3.44 5.17.1-zen1-1-zen)
    v: 4.6 Mesa 22.0.1 direct render: Yes
Audio:
  Device-1: AMD Navi 21/23 HDMI/DP Audio driver: snd_hda_intel v: kernel
    pcie: gen: 4 speed: 16 GT/s lanes: 16 bus-ID: 09:00.1 chip-ID: 1002:ab28
    class-ID: 0403
  Device-2: AMD Starship/Matisse HD Audio vendor: ASUSTeK
    driver: snd_hda_intel v: kernel pcie: gen: 4 speed: 16 GT/s lanes: 16
    bus-ID: 0b:00.4 chip-ID: 1022:1487 class-ID: 0403
  Device-3: Samson Meteor condenser microphone type: USB
    driver: hid-generic,snd-usb-audio,usbhid bus-ID: 1-9.1:7 chip-ID: 17a0:0310
    class-ID: 0300
  Sound Server-1: ALSA v: k5.17.1-zen1-1-zen running: yes
  Sound Server-2: PulseAudio v: 15.0 running: no
  Sound Server-3: PipeWire v: 0.3.49 running: yes
Network:
  Device-1: Intel Wi-Fi 6 AX200 driver: iwlwifi v: kernel pcie: gen: 2
    speed: 5 GT/s lanes: 1 bus-ID: 05:00.0 chip-ID: 8086:2723 class-ID: 0280
  IF: wlp5s0 state: down mac: <filter>
  Device-2: Intel Ethernet I225-V vendor: ASUSTeK driver: igc v: kernel
    pcie: gen: 2 speed: 5 GT/s lanes: 1 port: N/A bus-ID: 06:00.0
    chip-ID: 8086:15f3 class-ID: 0200
  IF: enp6s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
Bluetooth:
  Device-1: Intel AX200 Bluetooth type: USB driver: btusb v: 0.8
    bus-ID: 1-5:3 chip-ID: 8087:0029 class-ID: e001
  Report: bt-adapter ID: hci0 rfk-id: 1 state: down
    bt-service: enabled,running rfk-block: hardware: no software: yes
    address: <filter>
Drives:
  Local Storage: total: 3.68 TiB used: 273.4 GiB (7.3%)
  SMART Message: Unable to run smartctl. Root privileges required.
  ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Patriot model: Viper M.2 VPN100
    size: 953.87 GiB block-size: physical: 512 B logical: 512 B
    speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter> rev: ECFM22.7
    temp: 27.9 C scheme: GPT
  ID-2: /dev/sda maj-min: 8:0 vendor: Seagate model: ST2000DX002-2DV164
    size: 1.82 TiB block-size: physical: 4096 B logical: 512 B speed: 6.0 Gb/s
    type: HDD rpm: 7200 serial: <filter> rev: CC41 scheme: GPT
  ID-3: /dev/sdb maj-min: 8:16 vendor: Samsung model: SSD 850 PRO 1TB
    size: 953.87 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
    type: SSD serial: <filter> rev: 4B6Q scheme: GPT
Partition:
  ID-1: / raw-size: 919.18 GiB size: 919.18 GiB (100.00%)
    used: 273.4 GiB (29.7%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
  ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
    used: 576 KiB (0.2%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
  ID-3: /home raw-size: 919.18 GiB size: 919.18 GiB (100.00%)
    used: 273.4 GiB (29.7%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
  ID-4: /var/log raw-size: 919.18 GiB size: 919.18 GiB (100.00%)
    used: 273.4 GiB (29.7%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
  ID-5: /var/tmp raw-size: 919.18 GiB size: 919.18 GiB (100.00%)
    used: 273.4 GiB (29.7%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
Swap:
  Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
  ID-1: swap-1 type: partition size: 34.39 GiB used: 0 KiB (0.0%)
    priority: -2 dev: /dev/nvme0n1p3 maj-min: 259:3
  ID-2: swap-2 type: zram size: 31.32 GiB used: 2.5 MiB (0.0%)
    priority: 100 dev: /dev/zram0
Sensors:
  System Temperatures: cpu: 45.0 C mobo: 31.0 C gpu: amdgpu temp: 49.0 C
    mem: 50.0 C
  Fan Speeds (RPM): cpu: 760 gpu: amdgpu fan: 0
Info:
  Processes: 371 Uptime: 1h 21m wakeups: 0 Memory: 31.32 GiB
  used: 6.48 GiB (20.7%) Init: systemd v: 250 tool: systemctl Compilers:
  gcc: 11.2.0 clang: 13.0.1 Packages: pacman: 2107 lib: 541 Shell: fish
  v: 3.4.1 default: Bash v: 5.1.16 running-in: konsole inxi: 3.3.15
e[1;34mGaruda (2.6.1-1):e[0m
e[1;34m  System install date:e[0m     2021-12-01
e[1;34m  Last full system update:e[0m 2022-04-09
e[1;34m  Is partially upgraded:  e[0m No
e[1;34m  Relevant software:      e[0m NetworkManager
e[1;34m  Windows dual boot:      e[0m No/Undetected
e[1;34m  Snapshots:              e[0m Snapper
e[1;34m  Failed units:           e[0m systemd-guest-user.service 

greetings SGS

I am personally suspicious of this package:

Do you have Gnome DE installed as well?

The update to Gnome 42 included a lot of back-end changes; it is possible one of those changes broke something in your KDE/Wayland stack.

1 Like

No, I don't have the desktop environment installed (as in "I can't select it on the login screen"). Quering pacman shows that it was installed as dependency of the following packages

budgie-screensaver  cheese  cheese-git  deepin-mutter  deepin-wm  eog  evince
evolution  gala  gala-git  gnome-books  gnome-control-center-x11-scaling
gnome-panel  gnome-session  gnome-settings-daemon  lutris  mutter
mutter-performance  mutter-rounded  mutter-x11-scaling  mutter6  nautilus
nautilus-typeahead  switchboard-plug-desktop  switchboard-plug-desktop-git
switchboard-plug-display-git  switchboard-plug-locale  switchboard-plug-locale-git
switchboard-plug-user-accounts  switchboard-plug-user-accounts-git  totem
ukui-settings-daemon  ukwm

Wait, which of these packages do you actually have installed on your system?

I looked at the errors, do the /usr/share/sddm/themes/Sweet/ files that these errors are referring to exist?

Also,

Yeah, unless there's some specific reason you need to have KDE running under Wayland, I might steer clear for a bit.

Finally, what Plasma Framework // Kwayland // etc version are you on? I don't use KDE, but it looks like a lot of updates have just been made to the KDE Frameworks and apps, including some things relevant to Wayland support.

Yes, there are a lot of updates to KDE. It is in the process of updating the total KDE system to Plasma 6. Just this morning, KDE started another update from 5.93 => 5.94. The Qt system is now at 6.3 LTS and running very good. KDE has had problems in upgrading their work in the past and they have listened to the complaints.

gary

Sorry to nekro this thread, but I wanted to post an update, just for contingency in case someone finds this thread in the future with a similar problem: I did not figure out a direct solution for this. However, I did not remove Plasma Wayland, so it got updated regularly with all other packages on my system. I just tried it again and it looks like at somepoint between April / May and now it has fixed itself.

For reference, here are the versions of plasma-wayland-session and its dependencies which are currently working:

accountsservice 22.08.8-2
acl 2.3.1-2
adobe-source-code-pro-fonts 2.038ro+1.058it+1.018var-1
alsa-card-profiles 1:0.3.57-1
alsa-lib 1.2.7.2-1
alsa-topology-conf 1.2.5.1-1
alsa-ucm-conf 1.2.7.2-1
aom 3.4.0-1
appstream 0.15.5-1
appstream-qt 0.15.5-1
argon2 20190702-4
attica 5.98.0-1
attr 2.5.1-2
audit 3.0.8-1
avahi 0.8+22+gfd482a7-3
bash 5.1.016-1
bluez-libs 5.65-3
breeze 5.25.5-1
breeze-icons 5.98.0-1
brotli 1.0.9-8
btrfs-progs 5.19-1
bzip2 1.0.8-4
ca-certificates 20220905-1
ca-certificates-mozilla 3.82-1
ca-certificates-utils 20220905-1
cairo 1.17.6-2
cantarell-fonts 1:0.303.1-1
cdparanoia 10.2-8
cifs-utils 7.0-1
coreutils 9.1-1
cryptsetup 2.5.0-1
curl 7.85.0-2
dav1d 1.0.0-1
db 5.3.28-5
dbus 1.14.0-1
dconf 0.40.0-1
device-mapper 2.03.16-2
dmraid 1.0.0.rc16.3-13
dosfstools 4.2-2
double-conversion 3.2.1-1
duktape 2.7.0-4
e2fsprogs 1.46.5-4
editorconfig-core-c 0.12.5-1
exiv2 0.27.5-3
expat 2.4.8-1
ffmpeg 2:5.1.1-3
file 5.42-2
filesystem 2021.12.07-1
findutils 4.9.0-1
flac 1.3.4-3
fontconfig 2:2.14.0-1
frameworkintegration 5.98.0-1
freetype2 2.12.1-1
fribidi 1.0.12-1
fuse3 3.11.0-1
fuse-common 3.11.0-1
gcc-libs 12.2.0-1
gdbm 1.23-1
gdk-pixbuf2 2.42.9-1
gettext 0.21-2
giflib 5.2.1-2
glib2 2.72.3-3
glibc 2.36-4
glib-networking 1:2.72.2-1
gmp 6.2.1-2
gnupg 2.2.39-1
gnutls 3.7.7-3
gpgme 1.18.0-1
gptfdisk 1.0.9-1
graphene 1.10.8-1
graphite 1:1.3.14-2
gsettings-desktop-schemas 42.0-1
gsm 1.0.22-1
gst-plugins-base 1.20.3-1
gst-plugins-base-libs 1.20.3-1
gstreamer 1.20.3-1
harfbuzz 5.1.0-1
hicolor-icon-theme 0.17-2
hidapi 0.12.0-1
hwdata 0.362-1
iana-etc 20220715-1
icu 71.1-1
iniparser 4.1-4
iptables-nft 1:1.8.8-2
iso-codes 4.11.0-2
jansson 2.14-2
json-c 0.16-1
kactivities 5.98.0-1
kactivities-stats 5.98.0-1
kactivitymanagerd 5.25.5-1
karchive 5.98.0-1
kauth 5.98.0-1
kbd 2.5.1-1
kbookmarks 5.98.0-1
kcmutils 5.98.0-1
kcodecs 5.98.0-1
kcompletion 5.98.0-1
kconfig 5.98.0-1
kconfigwidgets 5.98.0-1
kcoreaddons 5.98.0-1
kcrash 5.98.0-1
kdbusaddons 5.98.0-1
kdeclarative 5.98.0-1
kde-cli-tools 5.25.5-1
kdecoration 5.25.5-1
kded 5.98.0-1
kdesu 5.98.0-1
kdnssd 5.98.0-1
kdsoap 2.1.1-1
kdsoap-ws-discovery-client git20200927-2
keyutils 1.6.3-1
kglobalaccel 5.98.0-1
kguiaddons 5.98.0-1
kholidays 1:5.98.0-1
ki18n 5.98.0-1
kiconthemes 5.98.0-1
kidletime 5.98.0-1
kio 5.98.0-1
kio-extras 22.08.1-1
kio-fuse 5.0.1-1
kirigami2 5.98.0-1
kitemmodels 5.98.0-1
kitemviews 5.98.0-1
kjobwidgets 5.98.0-1
kmod 30-1
knewstuff 5.98.0-1
knotifications 5.98.0-1
knotifyconfig 5.98.0-1
kpackage 5.98.0-1
kparts 5.98.0-1
kpeople 5.98.0-1
kpty 5.98.0-1
kquickcharts 5.98.0-1
krb5 1.19.3-3
krunner 5.98.0-1
kscreenlocker 5.25.5-1
kservice 5.98.0-1
ksystemstats 5.25.5-1
ktexteditor 5.98.0-1
ktextwidgets 5.98.0-1
kuserfeedback 1.2.0-1
kwallet 5.98.0-1
kwayland 5.98.0-1
kwayland-integration 5.25.5-1
kwidgetsaddons 5.98.0-1
kwin 5.25.5-2
kwindowsystem 5.98.0-1
kxmlgui 5.98.0-1
lame 3.100-4
layer-shell-qt 5.25.5-1
lcms2 2.13.1-1
ldb 2:2.5.2-2
lib32-glibc 2.36-4
lib32-libogg 1.3.5-1
lib32-librsvg 2:2.54.5-1
lib32-libva 2.15.0-6
lib32-libvpx1.3 1.3.0-3
lib32-systemd 251.4-1.1
lib32-vulkan-icd-loader 1.3.226-1
libaio 0.3.113-1
libarchive 3.6.1-2
libass 0.16.0-1
libassuan 2.5.5-1
libasyncns 1:0.8+r3+g68cd5af-1
libatasmart 0.19-5
libavc1394 0.5.4-4
libblockdev 2.27-1
libbluray 1.3.2-1
libbs2b 3.1.0-8
libbsd 0.11.6-2
libbytesize 2.7-1
libcanberra 1:0.30+r2+gc0620e4-1
libcap 2.65-1
libcap-ng 0.8.3-1
libcups 1:2.4.2-3
libdaemon 0.14-5
libdatrie 0.2.13-1
libdbusmenu-qt5 0.9.3+16.04.20160218-6
libdmtx 0.7.7-1
libdrm 2.4.113-2
libedit 20210910_3.1-1
libelf 0.187-2
libepoxy 1.5.10-1
libevdev 1.13.0-1
libevent 2.1.12-2
libfdk-aac 2.0.2-1
libffi 3.4.2-5
libfontenc 1.1.6-1
libfreeaptx 0.1.1-1
libgcrypt 1.10.1-1
libglvnd 1.5.0-1
libgpg-error 1.45-2
libgudev 237-2
libice 1.0.10-4
libidn2 2.3.3-1
libiec61883 1.2.0-6
libimobiledevice 1.3.0-5
libinih 56-1
libinput 1.21.0-1
libjpeg-turbo 2.1.4-2
libkexiv2 22.08.1-1
libksba 1.6.0-1
libkscreen 5.25.5-1
libksysguard 5.25.5-1
libldac 2.0.2.3-1
libldap 2.6.3-1
libmd 1.0.4-1
libmfx 22.4.4-1
libmnl 1.0.5-1
libmodplug 0.8.9.0-3
libmtp 1.1.20-1
libnetfilter_conntrack 1.0.9-1
libnfnetlink 1.0.2-1
libnftnl 1.2.3-1
libnghttp2 1.49.0-1
libnl 3.7.0-1
libnsl 2.0.0-2
libomxil-bellagio 0.9.3-3
libp11-kit 0.24.1-1
libpcap 1.10.1-2
libpciaccess 0.16-4
libplist 2.2.0-5
libpng 1.6.37-3
libproxy 0.4.18-1
libpsl 0.21.1-1
libpulse 16.1-1
libqaccessibilityclient 0.4.1-2
libqalculate 4.3.0-1
libraw1394 2.1.2-3
libsasl 2.1.28-1
libseccomp 2.5.4-1
libsecret 0.20.5-2
libsm 1.2.3-3
libsndfile 1.1.0-2
libsoup 2.74.2-2
libsoxr 0.1.3-2
libssh 0.10.4-1
libssh2 1.10.0-1
libstemmer 2.2.0-2
libsysprof-capture 3.44.0-2
libtasn1 4.19.0-1
libthai 0.1.29-1
libtheora 1.1.1-5
libtiff 4.4.0-4
libtirpc 1.3.3-1
libtool 2.4.7-5
libunistring 1.0-1
libunwind 1.6.2-1
liburcu 0.13.2-1
libusb 1.0.26-1
libusbmuxd 2.0.2-1
libutempter 1.2.1-3
libvdpau 1.5-1
libverto 0.3.2-4
libvisual 0.4.0-8
libvorbis 1.3.7-3
libwacom 2.4.0-1
libwebp 1.2.4-1
libx11 1.8.1-3
libxau 1.0.10-1
libxaw 1.0.14-1
libxcb 1.15-1
libxcomposite 0.4.5-4
libxcrypt 4.4.28-2
libxcursor 1.2.1-1
libxcvt 0.1.2-1
libxdamage 1.1.5-4
libxdmcp 1.1.3-4
libxext 1.3.4-4
libxfixes 6.0.0-1
libxfont2 2.0.6-1
libxft 2.3.6-1
libxi 1.8-1
libxkbcommon 1.4.1-1
libxkbcommon-x11 1.4.1-1
libxkbfile 1.1.0-3
libxml2 2.10.2-2
libxmlb 0.3.9-1
libxmu 1.1.3-3
libxpm 3.5.13-3
libxrandr 1.5.2-4
libxrender 0.9.10-5
libxres 1.2.1-1
libxshmfence 1.3-3
libxslt 1.1.37-2
libxss 1.2.3-4
libxt 1.2.1-1
libxtst 1.2.3-5
libxv 1.0.11-5
libxxf86vm 1.1.4-5
libyaml 0.2.5-1
lilv 0.24.20-1
linux-api-headers 5.18.15-1
llvm-libs 14.0.6-3
lmdb 0.9.29-1
lm_sensors 1:3.6.0.r41.g31d1f125-1
l-smash 2.14.5-2
lua 5.4.4-2
lv2 1.18.10-1
lvm2 2.03.16-2
lz4 1:1.9.4-1
lzo 2.10-3
md4c 0.4.8-1
mdadm 4.2-2
media-player-info 24-2
mesa 22.1.7-1
milou 5.25.5-1
minizip 1:1.2.12-2
mpfr 4.1.0.p13-3
mtdev 1.1.6-2
ncurses 6.3-3
ndctl 74-1
nettle 3.8.1-1
nftables 1:1.0.5-1
noto-fonts 20220607-1
npth 1.6-3
nspr 4.34.1-1
nss 3.82-1
ocl-icd 2.3.1-1
openal 1.22.2-1
opencore-amr 0.1.6-1
openjpeg2 2.5.0-1
openssl 1.1.1.q-1
opus 1.3.1-3
orc 0.4.32-1
oxygen-sounds 5.25.5-1
p11-kit 0.24.1-1
pam 1.5.2-1
pambase 20211210-1
pango 1:1.50.9-1
parted 3.5-1
pciutils 3.8.0-2
pcre2 10.40-1
pcre 8.45-2
perl 5.36.0-1
phonon-qt5 4.11.1-3
phonon-qt5-gstreamer 4.10.0-3
pinentry 1.2.0-1
pipewire 1:0.3.57-1
pipewire-jack 1:0.3.57-1
pixman 0.40.0-2
plasma-framework 5.98.0-1
plasma-integration 5.25.5-2
plasma-wayland-session 5.25.5-3
plasma-workspace 5.25.5-3
polkit 121-1
polkit-qt5 0.114.0-1
popt 1.18-3
prison 5.98.0-1
python 3.10.7-1
qca-qt5 2.3.4-3
qqc2-desktop-style 5.98.0-1
qrencode 4.1.1-1
qt5-base 5.15.6+kde+r167-1
qt5-declarative 5.15.6+kde+r20-1
qt5-graphicaleffects 5.15.6+kde+r0-1
qt5-location 5.15.6+kde+r3-1
qt5-multimedia 5.15.6+kde+r1-1
qt5-quickcontrols2 5.15.6+kde+r5-1
qt5-quickcontrols 5.15.6+kde+r0-1
qt5-speech 5.15.6+kde+r1-1
qt5-svg 5.15.6+kde+r9-1
qt5-tools 5.15.6+kde+r1-1
qt5-translations 5.15.6+kde+r2-1
qt5-wayland 5.15.6+kde+r43-2
qt5-webchannel 5.15.6+kde+r3-1
qt5-webengine 5.15.10-3
qt5-x11extras 5.15.6+kde+r0-1
rav1e 0.5.1-2
re2 1:20220601-1
readline 8.1.002-1
sbc 2.0-1
sdl2 2.24.0-2
serd 0.30.16-1
shadow 4.11.1-1
shared-mime-info 2.0+155+gf4e7cbc-1
smbclient 4.16.5-1
snappy 1.1.9-2
solid 5.98.0-1
sonnet 5.98.0-1
sord 0.16.14-1
sound-theme-freedesktop 0.8-5
speex 1.2.1-1
speexdsp 1.2.1-1
sqlite 3.39.3-1
sratom 0.6.14-1
srt 1.5.0-1
svt-av1 1.2.1-1
syndication 5.98.0-1
syntax-highlighting 5.98.0-1
sysfsutils 2.1.1-1
systemd 251.4-1
talloc 2.3.4-1
tar 1.34-1
tdb 1.4.7-1
tevent 1:0.13.0-1
thin-provisioning-tools 0.9.0-1
threadweaver 5.98.0-1
tpm2-tss 3.2.0-1
tslib 1.22-1
ttf-hack 3.003-3
tzdata 2022c-1
udisks2 2.9.4-1
upower 0.99.20-1
usbmuxd 1.1.1-1
util-linux 2.38.1-1
util-linux-libs 2.38.1-1
v4l-utils 1.22.1-1
vid.stab 1.1-3
vmaf 2.3.1-1
volume_key 0.3.12-7
vulkan-icd-loader 1.3.226-1
wayland 1.21.0-1
webrtc-audio-processing 0.3.1-3
which 2.21-5
wireplumber 0.4.11-4
x264 3:0.164.r3095.baee400-4
x265 3.5-3
xcb-proto 1.15.2-1
xcb-util 0.4.0-4
xcb-util-cursor 0.1.3-4
xcb-util-image 0.4.0-4
xcb-util-keysyms 0.4.0-4
xcb-util-renderutil 0.3.9-4
xcb-util-wm 0.4.1-4
xdg-utils 1.1.3+21+g1a58bc2-2
xfsprogs 5.19.0-1
xkeyboard-config 2.36+89+g382c5feb-1
xorg-fonts-encodings 1.0.6-1
xorgproto 2022.2-1
xorg-server-common 21.1.4-1
xorg-setxkbmap 1.3.3-1
xorg-xkbcomp 1.4.5-1
xorg-xmessage 1.0.6-1
xorg-xprop 1.2.5-1
xorg-xrandr 1.5.1-2
xorg-xrdb 1.2.1-1
xorg-xset 1.2.4-3
xorg-xsetroot 1.1.2-3
xorg-xwayland 22.1.3-1
xvidcore 1.3.7-2
xz 5.2.6-1
zimg 3.0.4-1
zlib 1:1.2.12-2
zstd 1.5.2-7
zxing-cpp 1.4.0-1

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.